#ifndef STAIRS_HPP_
#define STAIRS_HPP_

#include <Block/SpriteBlock/SpriteBlock.hpp>

class Stairs : public SpriteBlock
{
private:
    SpriteBlock &base;

public:
    /**
     * @brief Construct a stairs block.
     */
    Stairs(std::string name, SpriteBlock &base);

    virtual bool canPlace(LocalWorld &world, IWorldActor &actor, glm::ivec3 pos, Side side, uint8_t &meta) override;
    virtual void onInteract(LocalWorld &world, Player &player, glm::ivec3 pos, Side side, const RGBABytes &collisionKey) override;
    virtual void onDesignerInitializing(BlockSpriteDesigner &designer, ScriptEngine &engine) override;
};

#endif